#ifndef __WITCH_H__
#define __WITCH_H__

#include "enemy.h"

class witch final: public enemy_base {
        inline static const fraction POTION_RATE = {1, 5};
public:
        witch(RNG *rng, const feature enabled_features, const position &pos,
              const int gen_room_num);
        const char *get_race_name() const override;
        long_result attack(character *ch) override;
};

#endif
